GNGB(1)

NAME
gngb - emulate various Nintendo Game Boy handheld systems

SYNOPSIS
gngb [-h] | [options] <romname>

DESCRIPTION
gngb is an emulator program that attempts to be various forms of Nintendo Game Boy hardware. It can run the various homebrew games and demos for the system as well as images of commercially-released games.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

OPTIONS
The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options are included below.

-h, --help
    print help and exit

-a, --autoframeskip
    turn on autoframeskip. This is useful if the emulator is running too slow. It will cause the emulator to drop frames every now and then to maintain a realtime emulation.

--sleep_idle
    sleep when idle. This will cause the program to sleep when it has idle cycles instead of busy looping. However, this can degrade emulation performance under some circumstances.

--color_filter
    turn on the color filter.

-r, --rumble
    turn on the rumble simulation. This will cause the emulated screen to shake when a rumble effect is caused by the running program.

--filter=X
    Set the filter to apply. These only work when using standard (not YUV or GL) video output. 0 = none 1 = scanline 2 = scanline 50% 3 = smooth 4 = pseudo cell shading

-R, --res=WxH
    set the screen resolution to WxH (for YUV and GL mode only).

-Y, --yuv
    turn YUV mode on. This utilizes the hardware YUV colorspace conversion and scaling features if your video card supports it. Most video cards with Xv support can use this feature for excellent performance.

--yuv_type
    set the type of the YUV overlay: 0 = YV12 1 = YUY2

-o, --opengl
    turn OpenGL mode on. This will render the gameboy screen as an OpenGL 3D texture, which on some cards may perform much better than the YUV or X11 output. This requires a 3D card with GLX support.

-f, --fullscreen
    run gngb in fullscreen. Fullscreen can be toggled during use with F9.

--fps
    Show frames per second counter in the upper left corner of screen. May be toggled through the emulator's menu.

-s, --sound
    Enable sound.

--sample_rate=RATE
    Set the sound output sample rate to RATE. (typically a multiple of 11025 Hz)

--auto_gb
    Automatically detect the system to emulate based on the cartridge image that is selected. This should work in most cases. If it fails, you can use one of the [ -C, --color_gb | -G, --normal_gb | -S, --super_gb ] options to force emulation of a Color, Normal, or Super Game Boy.

-j, --joy_dev=N
    The default joystick is /dev/js0. By setting N here, /dev/jsN will be used in its place.

-g, --gdma_cycle
    This experimental option will halt the CPU during certain DMA operations. Leave it off unless you are working around problems in a certain program.

-v, --version
    Show version of program.

Most options can be disabled with --no-OPTION (Ex: --no-sound turn sound off)

DEFAULT BINDINGS
These are the default keys in the emulator. These, along with the joystick buttons, may be changed through a custom gngbrc(5) file.

Enter : Start
Right Shift : Select
W : B
X : A
TAB : Open menu

F9 : fullscreen on/off
F10 : show fps
F11 : reset
F12 : show keysym code

KeyPad 1-5: Change palette
    Palette must be define in your gngbrc file (see sample_gngbrc)

KeyPad 6 : Toggle color filter

SEE ALSO
There is some good info in the README included in the doc directory. The gngbrc file is documented in /usr/share/doc/gngb/examples/sample_gngbrc.

AUTHOR
This manual page was written by RCU <nemesis@dbz.icequake.net>, for the Debian GNU/Linux system (but may be used by others).